Flatten ALL z-coordinates, also objects in blocks

Discussion in 'AutoCAD' started by John van Eeten, Jan 27, 2004.

  1. Hi all,

    does anybody know or have a lisp file which sets all z-coordinates to zero,
    also objects within a block.

    If I search the group, i find only lisp programs such as flatten.lsp, but
    they all doesn't flatten z-coordinates of objects within a block

    Thanks in advance,

    John van Eeten
     
    John van Eeten, Jan 27, 2004
    #1
  2. John van Eeten

    James Buzbee Guest

    If you want to flatten ALL items, I would iterate through the blocks
    collection and modify each item there. Remember, Modelspace and Papaerspace
    ARE blocks.

    (setq thisDrawing(vlax-get (vlax-get-acad-object)"activedocument"))
    blocks(vlax-get doc "blocks"))

    (vlax-for i blocks
    (change the appropriate property here)
    )

    You would need to know the individual property for all objects.

    jb
     
    James Buzbee, Jan 27, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.